Show / Hide Table of Contents

# Class ConnectedBindingContext

Class for the binding context for connected sessions

##### Inheritance

System.Object
ConnectedBindingContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectedBindingContext : IBindingContext

### Constructors

| Improve this Doc View Source

#### ConnectedBindingContext()

Connected binding context constructor

##### Declaration

    public ConnectedBindingContext()

### Properties

| Improve this Doc View Source

#### Binder

Gets or sets the binder

##### Declaration

    public IBinder Binder { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Binder.IBinder |

##### Implements

IBindingContext.Binder
| Improve this Doc View Source

#### BindingLock

Gets the binding lock object

##### Declaration

    public ManualResetEvent BindingLock { get; }

##### Property Value

Type | Description
--- | ---
System.Threading.ManualResetEvent |

##### Implements

IBindingContext.BindingLock
| Improve this Doc View Source

#### BindingTimeout

Gets or sets the binding operation timeout in milliseconds

##### Declaration

    public int BindingTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

##### Implements

IBindingContext.BindingTimeout
| Improve this Doc View Source

#### DatabaseCompatibilityLevel

Gets the current DatabaseCompatibilityLevel

##### Declaration

    public DatabaseCompatibilityLevel DatabaseCompatibilityLevel { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Common.DatabaseCompatibilityLevel |

##### Implements

IBindingContext.DatabaseCompatibilityLevel
| Improve this Doc View Source

#### DatabaseEngineType

Gets the current DataEngineType

##### Declaration

    public DatabaseEngineType DatabaseEngineType { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.DatabaseEngineType |

##### Implements

IBindingContext.DatabaseEngineType
| Improve this Doc View Source

#### IsConnected

Gets or sets a flag indicating if the binder is connected

##### Declaration

    public bool IsConnected { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Implements

IBindingContext.IsConnected
| Improve this Doc View Source

#### MetadataDisplayInfoProvider

Gets or sets the metadata display info provider

##### Declaration

    public MetadataDisplayInfoProvider MetadataDisplayInfoProvider { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.MetadataProvider.MetadataDisplayInfoProvider |

##### Implements

IBindingContext.MetadataDisplayInfoProvider
| Improve this Doc View Source

#### ParseOptions

Gets the current ParseOptions

##### Declaration

    public ParseOptions ParseOptions { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Parser.ParseOptions |

##### Implements

IBindingContext.ParseOptions
| Improve this Doc View Source

#### ServerConnection

Gets or sets the binding server connection

##### Declaration

    public ServerConnection ServerConnection { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.ServerConnection |

##### Implements

IBindingContext.ServerConnection
| Improve this Doc View Source

#### ServerVersion

Gets the Language Service ServerVersion

##### Declaration

    public ServerVersion ServerVersion { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.Common.ServerVersion |

##### Implements

IBindingContext.ServerVersion
| Improve this Doc View Source

#### SmoMetadataProvider

Gets or sets the SMO metadata provider

##### Declaration

    public SmoMetadataProvider SmoMetadataProvider { get; set; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SmoMetadataProvider.SmoMetadataProvider |

##### Implements

IBindingContext.SmoMetadataProvider
| Improve this Doc View Source

#### TransactSqlVersion

Gets the current connections TransactSqlVersion

##### Declaration

    public TransactSqlVersion TransactSqlVersion { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Common.TransactSqlVersion |

##### Implements

IBindingContext.TransactSqlVersion